Loading...
Searching...
No Matches
RDKit::v2::CDXMLParser Namespace Reference

## Classes

struct | CDXMLParserParams

## Enumerations

enum class | CDXMLFormat { CDXML = 0 , CDX = 1 , Auto = 2 }

## Functions

RDKIT_FILEPARSERS_EXPORT bool | hasChemDrawCDXSupport ()
| Returns true if the RDKit was build with ChemDraw CDX support.
RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > | MolsFromCDXMLDataStream (std::istream &inStream, const CDXMLParserParams &params=CDXMLParserParams())

construct molecules from a CDXML file The RDKit is optionally built with the Revvity ChemDraw parser If this is available, CDX and CDXML can be read, see CDXMLParserParams Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing. Note: If the ChemDraw extensions are available, this auto detects between CDXML and CDX

RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > | MolsFromCDXMLFile (const std::string &filename, const CDXMLParserParams &params=CDXMLParserParams(true, true, CDXMLFormat::Auto))
| construct molecules from a CDXML file The RDKit is optionally built with the Revvity ChemDraw parser If this is available, CDX and CDXML can be read, see CDXMLParserParams Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing.
RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > | MolsFromCDXML (const std::string &cdxml, const CDXMLParserParams &params=CDXMLParserParams(true, true, v2::CDXMLParser::CDXMLFormat::Auto))

construct molecules from a CDXML block The RDKit is optionally built with the Revvity ChemDraw parser If this is available, CDX and CDXML can be read, see CDXMLParserParams Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing. Note: If the ChemDraw extensions are available, CDXMLFormat::Auto attempts to see if the input string is CDXML or CDX

## Enumeration Type Documentation

## CDXMLFormat

enum class RDKit::v2::CDXMLParser::CDXMLFormat

strong

Enumerator
CDXML |
CDX |
Auto |

Definition at line 25 of file CDXMLParser.h.

## Function Documentation

## hasChemDrawCDXSupport()

RDKIT_FILEPARSERS_EXPORT bool RDKit::v2::CDXMLParser::hasChemDrawCDXSupport | ( |  | ) |

Returns true if the RDKit was build with ChemDraw CDX support.

References RDKIT_FILEPARSERS_EXPORT.

## MolsFromCDXML()

RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > RDKit::v2::CDXMLParser::MolsFromCDXML | ( | const std::string & | cdxml,
|  | const CDXMLParserParams & | params = CDXMLParserParams(true, true, v2::CDXMLParser::CDXMLFormat::Auto) )

construct molecules from a CDXML block The RDKit is optionally built with the Revvity ChemDraw parser If this is available, CDX and CDXML can be read, see CDXMLParserParams Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing. Note: If the ChemDraw extensions are available, CDXMLFormat::Auto attempts to see if the input string is CDXML or CDX

Parameters

  cdxml | - string containing the mol block
  params | - parameters controlling the parsing and post-processing

References Auto, and RDKIT_FILEPARSERS_EXPORT.

## MolsFromCDXMLDataStream()

RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > RDKit::v2::CDXMLParser::MolsFromCDXMLDataStream | ( | std::istream & | inStream,
|  | const CDXMLParserParams & | params = CDXMLParserParams() )

construct molecules from a CDXML file The RDKit is optionally built with the Revvity ChemDraw parser If this is available, CDX and CDXML can be read, see CDXMLParserParams Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing. Note: If the ChemDraw extensions are available, this auto detects between CDXML and CDX

Parameters

  inStream | - string containing the mol block
  params | - parameters controlling the parsing and post-processing

## MolsFromCDXMLFile()

RDKIT_FILEPARSERS_EXPORT std::vector< std::unique_ptr< RWMol > > RDKit::v2::CDXMLParser::MolsFromCDXMLFile | ( | const std::string & | filename,
|  | const CDXMLParserParams & | params = CDXMLParserParams(true, true, CDXMLFormat::Auto) )

construct molecules from a CDXML file The RDKit is optionally built with the Revvity ChemDraw parser If this is available, CDX and CDXML can be read, see CDXMLParserParams Note that the CDXML format is large and complex, the RDKit doesn't support full functionality, just the base ones required for molecule and reaction parsing.

Parameters

  fileName | - cdxml fileName
  params | - parameters controlling the parsing and post-processing

References Auto, and RDKIT_FILEPARSERS_EXPORT.